Log::EntriesChecker - Crystal 1.7.3

# class Log::EntriesChecker

- Log::EntriesChecker
- Reference
- Object

##
Overview

DSL for `Log.capture`

##
Defined in:

log/spec.cr

##
Constructors

- .new(entries : Array(Log::Entry))

##
Instance Method Summary

- #check(level : Severity, message : String, file = __FILE__, line = __LINE__) : self

  Validates that at some point the indicated entry was emitted

- #check(level : Severity, pattern : Regex, file = __FILE__, line = __LINE__) : self

  Validates that at some point the indicated entry was emitted

- #clear

  Clears the emitted entries so far

- #empty(file = __FILE__, line = __LINE__)

  Validates that there are no outstanding entries

- #entry : Entry

  Returns the last entry matched by `#check` or `#next`

- #entry? : Entry | Nil

  Returns the last entry matched by `#check` or `#next`

- #next(level : Severity, message : String, file = __FILE__, line = __LINE__) : self

  Validates that the indicated entry was the next one to be emitted

- #next(level : Severity, pattern : Regex, file = __FILE__, line = __LINE__) : self

  Validates that the indicated entry was the next one to be emitted

### Instance methods inherited from class `Reference`

==(other : self)
==(other : JSON::Any)
==(other : YAML::Any)
==(other) ==, dup dup, hash(hasher) hash, initialize initialize, inspect(io : IO) : Nil inspect, object_id : UInt64 object_id, pretty_print(pp) : Nil pretty_print, same?(other : Reference) : Bool
same?(other : Nil) same?, to_s(io : IO) : Nil to_s

### Constructor methods inherited from class `Reference`

new new

### Instance methods inherited from class `Object`

! : Bool !, !=(other) !=, !~(other) !~, ==(other) ==, ===(other : JSON::Any)
===(other : YAML::Any)
===(other) ===, =~(other) =~, as(type : Class) as, as?(type : Class) as?, class class, dup dup, hash(hasher)
hash hash, in?(collection : Object) : Bool
in?(*values : Object) : Bool in?, inspect(io : IO) : Nil
inspect : String inspect, is_a?(type : Class) : Bool is_a?, itself itself, nil? : Bool nil?, not_nil!(message = nil) not_nil!, pretty_inspect(width = 79, newline = "\n", indent = 0) : String pretty_inspect, pretty_print(pp : PrettyPrint) : Nil pretty_print, responds_to?(name : Symbol) : Bool responds_to?, tap(&) tap, to_json(io : IO) : Nil
to_json : String to_json, to_pretty_json(indent : String = " ") : String
to_pretty_json(io : IO, indent : String = " ") : Nil to_pretty_json, to_s(io : IO) : Nil
to_s : String to_s, to_yaml(io : IO) : Nil
to_yaml : String to_yaml, try(&) try, unsafe_as(type : T.class) forall T unsafe_as

### Class methods inherited from class `Object`

from_json(string_or_io, root : String)
from_json(string_or_io) from_json, from_yaml(string_or_io : String | IO) from_yaml

##
Constructor Detail

def self.new(entries : Array(Log::Entry)) #

##
Instance Method Detail

def check(level : Severity, message : String, file = __FILE__, line = __LINE__) : self #

Validates that at some point the indicated entry was emitted

def check(level : Severity, pattern : Regex, file = __FILE__, line = __LINE__) : self #

Validates that at some point the indicated entry was emitted

def clear #

Clears the emitted entries so far

def empty(file = __FILE__, line = __LINE__) #

Validates that there are no outstanding entries

def entry : Entry #

Returns the last entry matched by `#check` or `#next`

def entry? : Entry | Nil #

Returns the last entry matched by `#check` or `#next`

def next(level : Severity, message : String, file = __FILE__, line = __LINE__) : self #

Validates that the indicated entry was the next one to be emitted

def next(level : Severity, pattern : Regex, file = __FILE__, line = __LINE__) : self #

Validates that the indicated entry was the next one to be emitted